%define name		clover
%define version		1.3.6
%define release		1jpp
%define section		non-free

Summary:	Clover code coverage analysis tool for ant
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Proprietary
Group:		Development/Java
URL:		http://www.cenqua.com/clover/
Source0:	clover.zip
NoSource:	0
BuildRequires:	jpackage-utils >= 0:1.5.32
Requires:	jpackage-utils >= 0:1.5.32
Requires:	ant >= 0:1.6
Obsoletes:	clover-ant
Provides:	clover-ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
Clover is a code coverage analysis tool. It discovers sections of 
code that are not being adequately exercised by your unit tests.  
Clover reports its findings in multiple formats for easy use by the 
whole team at the project level down to each line of source code.

This version of clover is for the ant build system. It supports ant 
1.4.1 or greater and includes command-line tools for integration 
with legacy build systems.

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:	clover >= %{epoch}:%{version}

%description demo
Demos for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%prep
%setup -q

%build

%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}/ant
%__cp -a lib/%{name}.jar %{buildroot}%{_javadir}/ant/%{name}-%{version}.jar
%__ln_s %{name}-%{version}.jar %{buildroot}%{_javadir}/ant/%{name}.jar
%__cp -a etc/cenquatasks.jar %{buildroot}%{_javadir}/ant/cenquatasks-%{version}.jar
%__ln_s cenquatasks-%{version}.jar %{buildroot}%{_javadir}/ant/cenquatasks.jar

%__mkdir_p  %{buildroot}%{_sysconfdir}/ant.d
%__cat > %{buildroot}%{_sysconfdir}/ant.d/%{name} << EOF
ant/cenquatasks ant/clover
EOF

# demo
%__mkdir_p %{buildroot}%{_datadir}/%{name}-%{version}
%__cp -a tutorial %{buildroot}%{_datadir}/%{name}-%{version}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc lib/*.TXT
%{_javadir}/ant/*.jar
%config(noreplace) %{_sysconfdir}/ant.d/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc clover-manual.pdf README.html resources

%changelog
* Wed Apr 14 2005 David Walluck <david@jpackage.org> 0:1.3.6-1jpp
- 1.3.6

* Mon Feb 21 2005 David Walluck <david@jpackage.org> 0:1.3.5-1jpp
- 1.3.5

* Tue Jan 18 2005 David Walluck <david@jpackage.org> 0:1.3.4-1jpp
- 1.3.4
- install jars under %%{javadir}/ant
- add file under %%{_sysconfdir}/ant.d
- obsoletes clover-ant since this is clover for ant

* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2.4-1jpp
- first JPackage release
